<template>
  <div class="switcher-item" @click="onnav">
    <img class="switcher-item-avatar" :src="formatedurl" alt="GitLab">
    <div>
      <p class="switcher-item-label">{{ label }}</p>
      <p class="switcher-item-desc">{{ desc }}</p>
    </div>
  </div>
</template>

<script setup>
import { useMainStore } from '~~/stores/main';
import { computed, ref } from 'vue'

const main = useMainStore();
const { onNavigate } = main;

const props = defineProps({
  icon: {
    type: String,
    required: false,
    default: "abuse"
  },
  label: {
    type: String,
    required: false,
    default: "Nav Item"
  },
  desc: {
    type: String,
    required: false,
    default: "Organization"
  },
  url: {
    type: String,
    required: false,
    default: "#"
  },
  section: {
    type: Object,
    required: false,
    default: null
  }
})

const urui = ref(props.url)
const sec= ref(props.section)

const formatedurl = computed({
  get () {
    return `avatars/${props.icon}.png`
  }
})

function onnav() {
  let dest = {
    url: "",
    section: {}
  }
  dest.url = urui.value;
  dest.section = sec.value
  onNavigate(dest);
}
</script>

<style>
.switcher-item {
  display: flex;
  align-items: center;
  justify-content: left;
  gap: 12px;
  font-size: 14px;
  line-height: 16px;
  color: #333238;
  padding: 4px 8px 4px 8px;
  border-radius: 4px;
  cursor: pointer;
}

.switcher-item:hover {
  background-color: #ECECEF;
}

.switcher-item-label {
  margin: 0 0 0 0;
  padding: 0 0 0 0;
  font-size: 14px;
  font-weight: 400;
  color: #333238;
  line-height: 16px;
}

.switcher-item-avatar {
  width: 24px;
  height: 24px;
}

.switcher-item-desc {
  margin: 0 0 0 0;
  padding: 0 0 0 0;
  font-size: 12px;
  font-weight: 400;
  color: #737278;
  line-height: 16px;
}
</style>
